#
# Conditional build:
%bcond_with	internal_cairo	# internal cairo 1.6.4 instead of system one
%bcond_with	pango		# use pango for text rendering (experimental; system cairo only)
#
# WARNING! libgdiplus will not work if compiled with -fomit-frame-pointer
#
Summary:	An Open Source implementation of the GDI+ API
Summary(pl.UTF-8):	Otwarta implementacja API GDI+
Name:		libgdiplus
Version:	2.10.9
Release:	2
%if %{with internal_cairo}
License:	LGPL v2.1 or MPL 1.1
%else
License:	MIT X11
%endif
Group:		Libraries
# latest downloads summary at http://ftp.novell.com/pub/mono/sources-stable/
Source0:	http://download.mono-project.com/sources/libgdiplus/%{name}-%{version}.tar.bz2
# Source0-md5:	b4615c14584b5d73cbb9757c28887654
Patch0:		%{name}-link.patch
Patch1:		%{name}-lt.patch
Patch2:		%{name}-libpng.patch
URL:		http://www.mono-project.com/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
%{!?with_internal_cairo:BuildRequires:	cairo-devel >= 1.6.4}
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	giflib-devel
BuildRequires:	glib2-devel >= 1:2.2.3
BuildRequires:	gtk+2-devel
BuildRequires:	libexif-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 2:1.4
BuildRequires:	libtiff-devel
BuildRequires:	libtool
%{?with_pango:BuildRequires:	pango-devel >= 1:1.10}
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXrender-devel
%{!?with_internal_cairo:Requires:	cairo >= 1.6.4}
Requires:	glib2 >= 1:2.2.3
%{?with_pango:Requires:	pango >= 1:1.10}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
An Open Source implementation of the GDI+ API.

This is part of the Mono project.

%description -l pl.UTF-8
Otwarta implementacja API GDI+.

Część projektu Mono.

%package devel
Summary:	Development files for libgdiplus
Summary(pl.UTF-8):	Pliki programistyczne libgdiplus
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{!?with_internal_cairo:Requires:	cairo-devel >= 1.4.12}
Requires:	fontconfig-devel
Requires:	freetype-devel >= 2.0
Requires:	giflib-devel
Requires:	glib2-devel >= 1:2.2.3
Requires:	libexif-devel
Requires:	libjpeg-devel
Requires:	libpng-devel >= 2:1.4
Requires:	libtiff-devel
%{?with_pango:Requires:	pango-devel >= 1:1.10}
Requires:	xorg-lib-libXrender-devel

%description devel
Development files for libgdiplus.

%description devel -l pl.UTF-8
Pliki programistyczne libgdiplus.

%package static
Summary:	Static libgdiplus library
Summary(pl.UTF-8):	Statyczna biblioteka libgdiplus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgdiplus library.

%description static -l pl.UTF-8
Statyczna biblioteka libgdiplus.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%{__sed} -e 's/png14/png/g' -i configure.in

%build
cd cairo
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd -

%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_internal_cairo:--with-cairo=system} \
	%{?with_pango:--with-pango}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgdiplus.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog %{?with_internal_cairo:LICENSE} NEWS README TODO
%attr(755,root,root) %{_libdir}/libgdiplus.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdiplus.so.0
# needed at runtime for mono to load it as gdiplus.dll
%attr(755,root,root) %{_libdir}/libgdiplus.so

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/libgdiplus.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdiplus.a
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgdiplus.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ef6f08f
- release 2 (by relup.sh)

* Mon Jun 25 2012 Tomasz Pala <gotar@pld-linux.org> c146a18
- upgraded to 2.10.9, removed la file, do not use patches where stream
  processing is more appropriate (libpng adjustment), rebuild wihout libexif.la

* Sat Feb 11 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 9b09407
- release 5

* Sat Feb 11 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 19d3ebd
- added fixes for build with libpng 1.5

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9cf8dbf
- release 4

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3507aa1
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c5bb7c6
- release 2

* Sat Feb 19 2011 Jakub Bogusz <qboosh@pld-linux.org> b0accd6
- updated to 2.10

* Thu Nov 18 2010 Caleb Maclennan <caleb@alerque.com> 7fe061e
- Up to 2.8.1

* Sat Oct 16 2010 Jakub Bogusz <qboosh@pld-linux.org> 10dbd0a
- updated to 2.8

* Fri Aug 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 2d6aa1d
- updated to 2.6.7
- updated libpng patch (main part obsolete, just configure hunk left)

* Sat Jul 03 2010 Jakub Bogusz <qboosh@pld-linux.org> 3a608e9
- updated to 2.6.4
- updated libpng patch

* Wed Mar 24 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 627048b
- updated to 2.6.2

* Thu Mar 04 2010 hawk <hawk@pld-linux.org> a6fcd91
- release 2

* Sat Feb 06 2010 sparky <sparky@pld-linux.org> 4a0c95f
- BR: gtk+2-devel
- BR: libpng-devel >= 2:1.4 because of libpng patch

* Fri Feb 05 2010 Szymon Siwek <sls@pld-linux.org> 70485d2
- rel. 1

* Fri Feb 05 2010 Szymon Siwek <sls@pld-linux.org> 1d476ac
- ver. 2.6 (NFY)

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bfef5a0
- rel 4; libpng fixes

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d0be0d6
- release 3

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> e928a22
- %undefine __cxx - to prevent configure from looking for c++ compiler

